﻿using System;

namespace ConsoleApplication2
{
    class GetUserAppDataFolder
    {
        static void Main(string[] args)
        {
            string errMsg = String.Empty, uName = String.Empty, dName = String.Empty, sidString = String.Empty, adfPath = String.Empty;
            APLNext.GetUserAppDataFolder.GUADFP classInstance = new APLNext.GetUserAppDataFolder.GUADFP();
            if (classInstance.FindAppDataFolder(ref errMsg, ref uName, ref dName, ref sidString, ref adfPath))
            {
                Console.WriteLine(errMsg);
            }
            else
            {
                Console.WriteLine(String.Format("Domain: {0} User: {1}", dName, uName));
                Console.WriteLine();
                Console.WriteLine("Security Identifier <SID> in registry location:");
                Console.WriteLine(@"HKEY_USERS\<SID>\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders");
                Console.WriteLine(sidString);
                Console.WriteLine();
                Console.WriteLine(String.Format("AppData Folder Path: {0}", adfPath));
            }
            Console.WriteLine();
            Console.WriteLine("Press any key to exit");
            Console.ReadKey();
        }
    }
}